package com.trade.service.trade.filingdoc.service;

public interface FilingDocService {

    /**
     * 根据销售订单ID新建写入小图任务
     *
     * @param salesOrderId 销售订单ID
     * @param part 任务阶段
     */
    void newTaskBySalesOrderId(Long salesOrderId, Integer part);

    /**
     * 根据销售订单号新建写入小图任务
     * 
     * @param saleOrderNo 销售订单号
     * @param part 任务阶段
     */
    void newTaskBySalesOrderNo(String saleOrderNo, Integer part);

    /**
     * 备案单证写入（定时任务）
     */
    void writeFilingDoc();
}
